const jwt = require('jsonwebtoken');

const SECRET = "12345";

async function validateToken(token){
    let result = await jwt.verify(token , SECRET , (error , value)=>{
        if(value){
            return value;
        }
        else if(error){
            return null;
        }
    });
    return result;
}

async function createToken(user){
    let userToken = await jwt.sign({username : user['username'] , email :  user['email']},SECRET,{expiresIn : '1h'});
    return userToken;
}

module.exports = {
    validateToken,
    createToken,
}